apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Values.configmaps.observer.name }}
  labels:
    app.kubernetes.io/part-of: {{ .Chart.Name }}    
    app.kubernetes.io/version: {{ .Chart.AppVersion }}
    app.kubernetes.io/managed-by: helm
data:
  kafka_servers: {{ .Values.services.kafka.name }}:{{ .Values.services.kafka.port }}  
  observer_metrics_schedule: "{{ .Values.configmaps.observer.observer_metrics_schedule }}"
  redis_endpoint: redis://{{ .Values.services.redis.name }}:{{ .Values.services.redis.port}}